Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.datacache
Class QueryCacheStoreQuery.CachedList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList
              org.apache.openjpa.datacache.QueryCacheStoreQuery.CachedList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List

Enclosing class:
  QueryCacheStoreQuery

    public static class QueryCacheStoreQuery.CachedList

extends AbstractList
implements Serializable

Result list implementation for a cached query result. Package-protected for testing.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`QueryCacheStoreQuery.CachedList(QueryResult res, boolean proj, StoreContext ctx)`

Method Summary
`Object` | `get(int idx)`
`int` | `size()`
`Object` | `writeReplace()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### QueryCacheStoreQuery.CachedList

    public QueryCacheStoreQuery.CachedList(QueryResult res,
                                           boolean proj,
                                           StoreContext ctx)

Method Detail

### get

    public Object get(int idx)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  Throws:
    `ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.